//
//  NSString+UUID.m
//  doubleTwist
//
//  Copyright 2009 doubleTwist Corporation. All rights reserved.
//

#import "NSString+UUID.h"

@implementation NSString (UUID)

+ (NSString*)stringWithNewGUID
{
	CFUUIDRef uuid = CFUUIDCreate(nil);
	NSString *newUUID = (NSString*)CFUUIDCreateString(nil, uuid);
	CFRelease(uuid);
	return [newUUID autorelease];
}

- (BOOL)isEqualToGUID:(NSString *)guid
{
    return [[self lowercaseString] isEqualToString:[guid lowercaseString]];
}

@end
